User32.GUITHREADINFO
Date: 2010-04-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class User32.GUITHREADINFO

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.User32.GUITHREADINFO

Enclosing interface:
  User32

    public static class User32.GUITHREADINFO

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`int` | `cbSize`
`int` | `flags`
`W32API.HWND` | `hwndActive`
`W32API.HWND` | `hwndCapture`
`W32API.HWND` | `hwndCaret`
`W32API.HWND` | `hwndFocus`
`W32API.HWND` | `hwndMenuOwner`
`W32API.HWND` | `hwndMoveSize`
`GDI32.RECT` | `rcCaret`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`User32.GUITHREADINFO()`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cbSize

    public int cbSize

### flags

    public int flags

### hwndActive

    public W32API.HWND hwndActive

### hwndFocus

    public W32API.HWND hwndFocus

### hwndCapture

    public W32API.HWND hwndCapture

### hwndMenuOwner

    public W32API.HWND hwndMenuOwner

### hwndMoveSize

    public W32API.HWND hwndMoveSize

### hwndCaret

    public W32API.HWND hwndCaret

### rcCaret

    public GDI32.RECT rcCaret

Constructor Detail

### User32.GUITHREADINFO

    public User32.GUITHREADINFO()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD